import { Base, Type } from "igniteui-angular-core";
import { IDomainChartToolbarProvider } from "./IDomainChartToolbarProvider";
import { ToolCommandStateChanged } from "igniteui-angular-core";
import { ToolActionInfo } from "igniteui-angular-core";
import { IDomainChartLike } from "./IDomainChartLike";
import { IToolbarContextAccessor } from "igniteui-angular-core";
import { ToolCommandExecutionState } from "igniteui-angular-core";
import { ToolCommand } from "igniteui-angular-core";
import { ToolCommandStateType } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class DomainChartToolbarProvider extends Base implements IDomainChartToolbarProvider {
    static $t: Type;
    private b;
    protected c: boolean;
    private _container;
    get container(): any;
    set container(a: any);
    private e;
    private f;
    private _commandChanged;
    get commandChanged(): (arg1: ToolCommandStateChanged) => void;
    set commandChanged(a: (arg1: ToolCommandStateChanged) => void);
    getDesiredToolbarActions(a: IDomainChartLike, b: ToolActionInfo[], c: IToolbarContextAccessor): ToolActionInfo[];
    private g;
    protected h(a: IDomainChartLike, b: ToolActionInfo): void;
    onToolCommandExecuting(a: IDomainChartLike, b: ToolCommand): ToolCommandExecutionState;
    onTargetPropertyChanged(a: IDomainChartLike, b: string, c: any, d: any): void;
    protected aa(a: IDomainChartLike, b: string, c: any, d: any): void;
    protected i(a: string, b: ToolCommandStateType, c: any): void;
    protected d(a: ToolCommand, b: string): boolean;
    private o;
    protected q(a: IDomainChartLike, b: ToolCommand): void;
    private p;
    private s;
    private t;
    private w;
    private u;
    private v;
    private j;
    private x;
    private z;
    private y;
    private n;
    private l;
    private m;
    private k;
    private a;
    private r;
    private ab;
    private ac;
    private ad;
}
